CUDNN Frontend API 8.3.0

Public Member Functions | Private Attributes | List of all members
cudnn_frontend::VariantPackBuilder_v8 Class Reference

`#include <cudnn_frontend_VariantPack.h>`

Collaboration diagram for cudnn_frontend::VariantPackBuilder_v8:

## Public Member Functions
auto | setDataPointers (int64_t num_ptr, void **ptrs) -> VariantPackBuilder_v8 &
| Set dataPointers for the VariantPack_v8. More...
auto | setUids (int64_t num_uids, int64_t *uid) -> VariantPackBuilder_v8 &
| Set Uids for the VariantPack_v8. More...
auto | setDataPointers (std::set< std::pair< uint64_t, void *>> const &data_pointers) -> VariantPackBuilder_v8 &
| Initialize a set of pairs containing uid and data pointer. More...
auto | setWorkspacePointer (void *ws) -> VariantPackBuilder_v8 &
| Set Workspace. More...
VariantPack_v8 && | build ()
| VariantPackBuilder_v8 ()=default
| ~VariantPackBuilder_v8 ()=default
| VariantPackBuilder_v8 (VariantPackBuilder_v8 &&)=delete
| VariantPackBuilder_v8 (VariantPackBuilder_v8 const &)=delete
VariantPackBuilder_v8 & | operator= (VariantPackBuilder_v8 const &)=delete

## Private Attributes
VariantPack_v8 | m_variant_pack

## Detailed Description

VariantPackBuilder_v8 Class Helper class used to build VariantPack_v8 class

Definition at line 84 of file cudnn_frontend_VariantPack.h.

## Constructor & Destructor Documentation

## ◆ VariantPackBuilder_v8() [1/3]

cudnn_frontend::VariantPackBuilder_v8::VariantPackBuilder_v8 | ( |  | ) |
| explicitdefault

## ◆ ~VariantPackBuilder_v8()

cudnn_frontend::VariantPackBuilder_v8::~VariantPackBuilder_v8 | ( |  | ) |
| default

## ◆ VariantPackBuilder_v8() [2/3]

cudnn_frontend::VariantPackBuilder_v8::VariantPackBuilder_v8 | ( | VariantPackBuilder_v8 && |  | ) |
| delete

## ◆ VariantPackBuilder_v8() [3/3]

cudnn_frontend::VariantPackBuilder_v8::VariantPackBuilder_v8 | ( | VariantPackBuilder_v8 const & |  | ) |
| delete

## Member Function Documentation

## ◆ build()

VariantPack_v8&& cudnn_frontend::VariantPackBuilder_v8::build | ( |  | ) |
| inline

constructs the Engine Config by calling the cudnn API Throws the appropriate error message

Definition at line 126 of file cudnn_frontend_VariantPack.h.

References cudnn_frontend::getLogger(), cudnn_frontend::VariantPack_v8::operator=(), cudnn_frontend::set_error_and_throw_exception(), cudnn_frontend::BackendDescriptor::status, and cudnn_frontend::VariantPack_v8::VariantPackBuilder_v8.

## ◆ operator=()

VariantPackBuilder_v8& cudnn_frontend::VariantPackBuilder_v8::operator= | ( | VariantPackBuilder_v8 const & |  | ) |
| delete

## Member Data Documentation

## ◆ m_variant_pack

VariantPack_v8 cudnn_frontend::VariantPackBuilder_v8::m_variant_pack
| private

Definition at line 193 of file cudnn_frontend_VariantPack.h.

The documentation for this class was generated from the following file:

- cudnn_frontend_VariantPack.h